
package cn.orionsec.ops.constant.command;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum ExecType {

    /**
     * 批量执行
     */
    BATCH_EXEC(10),

    ;

    /**
     * 类型
     */
    private final Integer type;

    public static ExecType of(Integer type) {
        for (ExecType value : values()) {
            if (value.type.equals(type)) {
                return value;
            }
        }
        return null;
    }

}
